Required Fields not working with Firefox 19.0